summaryrefslogtreecommitdiffstats
path: root/network/wicd-client-kde
diff options
context:
space:
mode:
author Steven Pledger <spledger91@yahoo.com>2010-12-12 23:20:07 -0600
committer Robby Workman <rworkman@slackbuilds.org>2010-12-12 23:20:07 -0600
commita12a4843fa9972b1a3993c7d142fc21715588030 (patch)
tree2e011cebb95a4a6918c99b8ce169ec2fdd6f317d /network/wicd-client-kde
parentc1dd1cfed852fb759d79925af539257014c51b09 (diff)
downloadslackbuilds-a12a4843fa9972b1a3993c7d142fc21715588030.tar.gz
slackbuilds-a12a4843fa9972b1a3993c7d142fc21715588030.tar.xz
network/wicd-client-kde: Added (KDE gui for WICD)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/wicd-client-kde')
-rw-r--r--network/wicd-client-kde/README4
-rw-r--r--network/wicd-client-kde/doinst.sh3
-rw-r--r--network/wicd-client-kde/slack-desc19
-rw-r--r--network/wicd-client-kde/wicd-client-kde.SlackBuild83
-rw-r--r--network/wicd-client-kde/wicd-client-kde.info10
5 files changed, 119 insertions, 0 deletions
diff --git a/network/wicd-client-kde/README b/network/wicd-client-kde/README
new file mode 100644
index 0000000000..7b30f08506
--- /dev/null
+++ b/network/wicd-client-kde/README
@@ -0,0 +1,4 @@
+Wicd Client KDE is a front-end to the Wicd connection daemon
+for the KDE Software Compilation.
+
+This requires wicd from the /extra directory on your Slackware DVD.
diff --git a/network/wicd-client-kde/doinst.sh b/network/wicd-client-kde/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/wicd-client-kde/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/wicd-client-kde/slack-desc b/network/wicd-client-kde/slack-desc
new file mode 100644
index 0000000000..cedef56ab3
--- /dev/null
+++ b/network/wicd-client-kde/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wicd-client-kde: wicd-client-kde (network manager for KDE)
+wicd-client-kde:
+wicd-client-kde: Wicd Client KDE is a front-end to the Wicd connection daemon for the
+wicd-client-kde: KDE Software Compilation.
+wicd-client-kde:
+wicd-client-kde: http://kde-apps.org/content/show.php/Wicd Client KDE?content=132366
+wicd-client-kde:
+wicd-client-kde:
+wicd-client-kde:
+wicd-client-kde:
+wicd-client-kde:
diff --git a/network/wicd-client-kde/wicd-client-kde.SlackBuild b/network/wicd-client-kde/wicd-client-kde.SlackBuild
new file mode 100644
index 0000000000..bec8378d68
--- /dev/null
+++ b/network/wicd-client-kde/wicd-client-kde.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for wicd-client-kde
+
+# Written by Steven Pledger <spledger91@yahoo.com>
+
+PRGNAM=wicd-client-kde
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/132366-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/etc/kde/dbus-1 $PKG/etc ; rmdir $PKG/etc/kde
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ TODO INSTALL ChangeLog COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wicd-client-kde/wicd-client-kde.info b/network/wicd-client-kde/wicd-client-kde.info
new file mode 100644
index 0000000000..7fada95810
--- /dev/null
+++ b/network/wicd-client-kde/wicd-client-kde.info
@@ -0,0 +1,10 @@
+PRGNAM="wicd-client-kde"
+VERSION="0.2.1"
+HOMEPAGE="http://kde-apps.org/content/show.php/Wicd Client KDE?content=132366"
+DOWNLOAD="http://kde-apps.org/CONTENT/content-files/132366-wicd-client-kde-0.2.1.tar.gz"
+MD5SUM="162ad45b86ea30668316095574efcf81"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Steven Pledger"
+EMAIL="spledger91@yahoo.com"
+APPROVED="rworkman"